---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libresexhausted.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F360, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x512A0, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51690, symBinAddr: 0xE510, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52630, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52640, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EFE0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EFE4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EFE8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F140, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F1F8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F1FC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F200, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F204, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F208, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F210, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F220, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F228, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F230, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F238, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F240, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F248, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL11gEventFlags, symObjAddr: 0x4F28C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x90F5, offset: 0x90F5, size: 0x8, addend: 0x0, symName: __ZL6gJvmti, symObjAddr: 0x4F290, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9147, offset: 0x9147, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3EE0, symSize: 0x80 }
  - { offsetInCU: 0x91DC, offset: 0x91DC, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3E30, symSize: 0xB0 }
  - { offsetInCU: 0x9237, offset: 0x9237, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3D30, symSize: 0x100 }
  - { offsetInCU: 0x94CA, offset: 0x94CA, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3F60, symSize: 0xC0 }
  - { offsetInCU: 0x951C, offset: 0x951C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4020, symSize: 0x220 }
  - { offsetInCU: 0x9701, offset: 0x9701, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4240, symSize: 0xA0 }
  - { offsetInCU: 0x97B4, offset: 0x97B4, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x42E0, symSize: 0x110 }
  - { offsetInCU: 0x98AA, offset: 0x98AA, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x43F0, symSize: 0x150 }
  - { offsetInCU: 0x9A07, offset: 0x9A07, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4540, symSize: 0x30 }
  - { offsetInCU: 0x9AC8, offset: 0x9AC8, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4570, symSize: 0x150 }
  - { offsetInCU: 0x9CC0, offset: 0x9CC0, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x46C0, symSize: 0x160 }
  - { offsetInCU: 0x9F80, offset: 0x9F80, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x4820, symSize: 0x4A0 }
  - { offsetInCU: 0xA1F3, offset: 0xA1F3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4CC0, symSize: 0x1B0 }
  - { offsetInCU: 0xA40E, offset: 0xA40E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4E70, symSize: 0xA0 }
  - { offsetInCU: 0xA4DD, offset: 0xA4DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4F10, symSize: 0x20 }
  - { offsetInCU: 0xA514, offset: 0xA514, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4F30, symSize: 0x20 }
  - { offsetInCU: 0xA54B, offset: 0xA54B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4F50, symSize: 0x20 }
  - { offsetInCU: 0xA6BA, offset: 0xA6BA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4F70, symSize: 0x1A0 }
  - { offsetInCU: 0xA9D6, offset: 0xA9D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x5110, symSize: 0x130 }
  - { offsetInCU: 0xAB86, offset: 0xAB86, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5240, symSize: 0x80 }
  - { offsetInCU: 0xAC4F, offset: 0xAC4F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x52C0, symSize: 0x6A0 }
  - { offsetInCU: 0xB7E4, offset: 0xB7E4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F60, symBinAddr: 0x63B0, symSize: 0xB0 }
  - { offsetInCU: 0xB85B, offset: 0xB85B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5960, symSize: 0x70 }
  - { offsetInCU: 0xB917, offset: 0xB917, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x59D0, symSize: 0xA0 }
  - { offsetInCU: 0xBA22, offset: 0xBA22, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5A70, symSize: 0x40 }
  - { offsetInCU: 0xBB18, offset: 0xBB18, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5AB0, symSize: 0x2B0 }
  - { offsetInCU: 0xBEBE, offset: 0xBEBE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D60, symSize: 0xC0 }
  - { offsetInCU: 0xC004, offset: 0xC004, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5E20, symSize: 0x10 }
  - { offsetInCU: 0xC0C6, offset: 0xC0C6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5E30, symSize: 0x220 }
  - { offsetInCU: 0xC3C3, offset: 0xC3C3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6050, symSize: 0x10 }
  - { offsetInCU: 0xC420, offset: 0xC420, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6060, symSize: 0x280 }
  - { offsetInCU: 0xC710, offset: 0xC710, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E90, symBinAddr: 0x62E0, symSize: 0x10 }
  - { offsetInCU: 0xC76D, offset: 0xC76D, size: 0x8, addend: 0x0, symName: _resourceExhausted, symObjAddr: 0x9EA0, symBinAddr: 0x62F0, symSize: 0xA0 }
  - { offsetInCU: 0xC819, offset: 0xC819, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ResourceExhausted_Helper_getExhaustedEventFlags, symObjAddr: 0x9F40, symBinAddr: 0x6390, symSize: 0x10 }
  - { offsetInCU: 0xC84D, offset: 0xC84D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_ResourceExhausted_Helper_resetExhaustedEvent, symObjAddr: 0x9F50, symBinAddr: 0x63A0, symSize: 0x10 }
  - { offsetInCU: 0xC87E, offset: 0xC87E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA010, symBinAddr: 0x6460, symSize: 0x36A }
...
